summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--scripts/makepkg.sh.in6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 756109cc..dae025c9 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -173,7 +173,11 @@ clean_up() {
fi
fi
- remove_deps
+ if ! remove_deps && (( EXIT_CODE == E_OK )); then
+ exit $E_REMOVE_DEPS_FAILED
+ else
+ exit $EXIT_CODE
+ fi
}
enter_fakeroot() {